<div class="container-fluid">
  <div class="row clearfix">
    <div class="content-wrapper">
      <div class="col-md-12 icon_bg" style="text-align: right;">
        <div class="container-fluid">
          <div class="col-md-4">
            <div class="desc-div row desc-non">
              <div class="noteditable-desc ">
                <div class="col-lg-12 text-left">
                  <h3 class="event-name">{{eventDetailsResponseData.event.name}}
                    <span> - </span><span style="color: red">Reported Images</span>
                    <small>({{reportedImages.length}} Images)</small></h3>
                  <p class="e-date" style="color:#fff;">
                    Date: {{eventDetailsResponseData.event.startsAt | date:'d MMM, yyyy'}}
                  </p>
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-8 mb-fix-text">
            <a (click)="enableEditPhotos()" class="action-icon" data-toggle="tooltip" data-placement="bottom"
               title="Edit" id="editEvent">
              <img src="assets/images/edit.png" class="icon_style">
            </a>
            <a (click)="deletePhotos()" class="action-icon" data-toggle="tooltip" data-placement="bottom"
               title="Delete Photos" >
              <img src="assets/images/garbage.png" class="icon_style">
            </a>
            <a (click)="ignore()" class="action-icon" data-toggle="tooltip" data-placement="bottom"
               title="Ignore Request">
              <img src="assets/images/ignore.png" class="icon_style">
            </a>
          </div>
        </div>
      </div>
      <div class="form-group panel-right-block content" id="content-2">
        <div class="desc-div row">
          <div class="container-fluid">
            <ol class="breadcrumb breadcrumb-arrow">
              <li><a routerLink="/photographer-panel/locations">Locations</a></li>
              <li><a routerLink="/photographer-panel/locations/{{eventDetailsResponseData.event.location.id}}/events">
                {{eventDetailsResponseData.event.location.name}}
              </a>
              </li>
              <li><a routerLink="/photographer-panel/locations/{{eventDetailsResponseData.event.location.id}}/events/
                {{eventDetailsResponseData.event.id}}">
                {{eventDetailsResponseData.event.name}}</a></li>
              <li><a>Reported Images</a></li>
            </ol>
          </div>
        </div>
        <div class="event-gallery thumb-container">
          <div class="col-lg-2 col-md-2 col-sm-4 col-xs-12 thumb" *ngFor="let reportedImage of reportedImages"
               [ngStyle]="{'background-image': 'url(' + imgPath + reportedImage.eventImage.image + ')', 'background-repeat': 'no-repeat'}">
            <div class="chk-div toggler" *ngIf="enableEdit">
              <div class="checkboxFive">
                <input type="checkbox" (change)="checkBoxUpdate(reportedImage,$event)" value="1"
                       id="checkboxFiveInput{{reportedImage.eventImage.id}}"/>
                <label for="checkboxFiveInput{{reportedImage.eventImage.id}}">
                </label>
              </div>
            </div>
            <a class="thumbnail" (click)="openImageModal(reportedImage)" style="cursor: pointer;"
               [attr.data-image]="imgPath + reportedImage.eventImage.image">
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div class="modal fade modal-gallery" id="image-gallery" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">x</span><span class="sr-only">Close</span></button>
        <h4 class="modal-title" id="image-gallery-title"></h4>
      </div>
      <div class="modal-body clearfix">
        <div class="social-foot ornobio">
        </div>
        <div class="col-md-12" style="padding:0px;">
          <img id="image-gallery-image" class="img-responsive" *ngIf="currentImage.eventImage"
               src="{{imgPath}}{{currentImage.eventImage.image}}">
        </div>
      </div>
      <div class="modal-footer">
        <div class="col-md-2 text-left" >
          <button type="button" *ngIf="prevBtn" class="btn btn-primary btn-action" (click)="showPreviousImage()"
                  id="show-previous-image"><i class="fa fa-chevron-left"></i></button>
        </div>
        <div class="col-md-8 text-center">
        </div>
        <div class="col-md-2" >
          <button type="button" *ngIf="nextBtn" (click)="showNextImage()" id="show-next-image"
                  class="btn btn-default btn-action"><i class="fa fa-chevron-right"></i></button>
        </div>
      </div>
    </div>
  </div>
</div>



